
  [ui-section=cart]:not(#\#){
    padding:attr(data-top-spacing px) var(--spacing-24) attr(data-bottom-spacing px) !important;
  }
  [ui-section=cart]{
    display:flex;
    gap:var(--spacing-48);
    flex-direction:column;
  }
  [ui-section=cart] .head-area .heading{
    font:var(--font-title-md);
    text-transform:uppercase;
  }
  [ui-section=cart] .core-area{
    display:grid;
    align-items:flex-start;
    grid-gap:var(--spacing-32);
    gap:var(--spacing-32);
  }
  [ui-section=cart] .core-area table{
    width:100%;
    border-collapse:collapse;
  }
  [ui-section=cart] .core-area table:has(tbody:empty){
    display:none;
  }
  [ui-section=cart] .core-area table thead{
    height:44px;
    color:var(--color-on-surface-variant);
    text-transform:uppercase;
    border-block-end:1px solid var(--color-surface-variant);
  }
  [ui-section=cart] .core-area table thead th{
    text-align:start;
    white-space:nowrap;
  }
  [ui-section=cart] .core-area table tbody tr:not(:last-child){
    border-block-end:1px solid var(--color-surface-variant);
  }
  [ui-section=cart] .core-area table tbody tr:not(:last-child) td{
    padding-block-end:var(--spacing-24);
  }
  [ui-section=cart] .core-area table tbody tr td{
    padding-block-start:var(--spacing-24);
    vertical-align:top;
    white-space:nowrap;
  }
  [ui-section=cart] .core-area table tbody tr td .product{
    display:flex;
    align-items:flex-start;
    gap:var(--spacing-12);
  }
  [ui-section=cart] .core-area table tbody tr td .product .title{
    width:-moz-fit-content;
    width:fit-content;
  }
  [ui-section=cart] .core-area table tbody tr td .product .image{
    width:120px;
    height:auto;
    overflow:hidden;
  }
  [ui-section=cart] .core-area table tbody tr td .product .image[data-image-ratio=square]{
    aspect-ratio:1/1;
  }
  [ui-section=cart] .core-area table tbody tr td .product .image[data-image-ratio=portrait]{
    aspect-ratio:3/4;
  }
  [ui-section=cart] .core-area table tbody tr td .product .image[data-image-ratio=landscape]{
    aspect-ratio:4/3;
  }
  [ui-section=cart] .core-area table tbody tr td .product .image > img{
    -o-object-fit:cover;
       object-fit:cover;
  }
  [ui-section=cart] .core-area table tbody tr td .product .info{
    display:grid;
    grid-gap:var(--spacing-4);
    gap:var(--spacing-4);
  }
  [ui-section=cart] .core-area table tbody tr td .product .info .variants{
    display:flex;
    flex-wrap:wrap;
    margin-block-start:var(--spacing-4);
    color:var(--color-on-surface-variant);
    gap:var(--spacing-12);
  }
  [ui-section=cart] .core-area table tbody tr td .product .info .variants .variant{
    display:flex;
    gap:var(--spacing-8);
    font:var(--font-label-sm);
  }
  [ui-section=cart] .core-area table tbody tr td .product .info .variants .variant .label{
    opacity:0.8;
    text-transform:uppercase;
  }
  [ui-section=cart] .core-area table tbody tr td .qty{
    display:grid;
    grid-gap:var(--spacing-12);
    gap:var(--spacing-12);
  }
  [ui-section=cart] .core-area .summary{
    display:grid;
    grid-template-columns:repeat(2, 1fr);
  }
  [ui-section=cart] .core-area .summary .summary-box{
    display:grid;
    grid-gap:var(--spacing-24);
    gap:var(--spacing-24);
    grid-column-start:2;
  }
  [ui-section=cart] .core-area .summary .summary-box [ui-summary-box=coupon-form]{
    display:grid;
    grid-gap:var(--spacing-12);
    gap:var(--spacing-12);
  }
  [ui-section=cart] .core-area .summary .summary-box [ui-summary-box=coupon-form] .label{
    display:flex;
    gap:var(--spacing-8);
  }
  [ui-section=cart] .core-area .summary .summary-box [ui-summary-box=coupon-form] .input{
    display:grid;
    grid-gap:var(--spacing-8);
    gap:var(--spacing-8);
    grid-template-columns:auto max-content;
  }
  [ui-section=cart] .core-area .summary .summary-box [ui-summary-box=coupon-form] .output{
    display:flex;
    justify-content:space-between;
  }
  [ui-section=cart] .core-area .summary .summary-box [ui-summary-box=coupon-form] .output:has([ui-summary-box=coupon-code][hidden]){
    display:none;
  }
  [ui-section=cart] .core-area .summary .summary-box [ui-summary-box=coupon-form] .output .info{
    display:grid;
    grid-gap:var(--spacing-8);
    gap:var(--spacing-8);
  }
  [ui-section=cart] .core-area .summary .summary-box .details{
    display:grid;
    grid-template-columns:repeat(2, auto);
    grid-gap:var(--spacing-16);
    gap:var(--spacing-16);
  }
  [ui-section=cart] .core-area .summary .summary-box .details .label{
    text-transform:uppercase;
    opacity:0.7;
  }
  [ui-section=cart] .core-area .summary .summary-box .details .value{
    display:flex;
    justify-content:flex-end;
    font:var(--font-title-md);
  }
  [ui-section=cart] .core-area .summary .summary-box .details [ui-slot=button]{
    grid-column:1/3;
  }
  @media (max-width: 769px){
    [ui-section=cart] .core-area table thead{
      display:none;
    }
    [ui-section=cart] .core-area table tbody tr{
      display:grid;
      grid-template-columns:repeat(2, 1fr);
    }
    [ui-section=cart] .core-area table tbody tr td:first-child{
      grid-column:1/3;
      padding-block-end:var(--spacing-24);
    }
    [ui-section=cart] .core-area table tbody tr td:not(:first-child){
      padding-block-start:var(--spacing-0);
    }
    [ui-section=cart] .core-area table tbody tr td:not(:first-child) .qty{
      display:flex;
      align-items:center;
    }
    [ui-section=cart] .core-area table tbody tr td:not(:first-child):has(.subtotal){
      text-align:end;
    }
    [ui-section=cart] .core-area .summary{
      grid-template-columns:1fr;
    }
    [ui-section=cart] .core-area .summary .summary-box{
      grid-column-start:unset;
    }
  }
